API Reference

The ChatPulse API is organized around REST. Our API has predictable resource-oriented URLs, accepts form-encoded request bodies, returns JSON-encoded responses, and uses standard HTTP response codes, authentication, and verbs.

OpenAPI Specification

Our API documentation is generated from an OpenAPI 3.0 specification. You can download the spec to generate your own clients or import it into your API tools.


Base URL

All API requests should be made to the following base URL:

https://api.getchatpulse.in/v1

Authentication

Authenticate your API requests by including your secret API key in the Authorization header as a Bearer token.

Authorization: Bearer cp_live_xxxxxxxxxxxxxxxxx

Endpoints Overview

Emails

MethodEndpointDescription
POST/emails/sendSend a transactional email
GET/emails/{id}Retrieve email delivery status

WhatsApp

MethodEndpointDescription
POST/whatsapp/messagesSend a WhatsApp message or template
GET/whatsapp/sessionsList active WhatsApp sessions